<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: vx_tutorial_target_kernel.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_tutorial_target_kernel.c File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>APIs to add/remove target kernels defined in tutorial to the target side. </p>

<p>Definition in file <a class="el" href="vx__tutorial__target__kernel_8c_source.html">vx_tutorial_target_kernel.c</a>.</p>

<p><a href="vx__tutorial__target__kernel_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vx__tutorial__target__kernel_8c.html#aa8d4aa689401f9c9c575082455a0c4bb">vxTutorialAddTargetKernelPhaseRgb</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add target kernel to TIOVX framework.  <a href="#aa8d4aa689401f9c9c575082455a0c4bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vx__tutorial__target__kernel_8c.html#a19db36fd62a30ed433d818de092094ee">vxTutorialRemoveTargetKernelPhaseRgb</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove target kernel from TIOVX framework.  <a href="#a19db36fd62a30ed433d818de092094ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vx__tutorial__target__kernel_8c.html#adde4ded9815b3fab321bd2c0e67feb39">tivxRegisterTutorialTargetKernels</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add target kernels for tutorial to C66x DSP target.  <a href="#adde4ded9815b3fab321bd2c0e67feb39"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vx__tutorial__target__kernel_8c.html#a284eda97cb09e9867b9e3607d7b4cfff">tivxUnRegisterTutorialTargetKernels</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove target kernels for tutorial from C66x DSP target.  <a href="#a284eda97cb09e9867b9e3607d7b4cfff"></a><br/></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="aa8d4aa689401f9c9c575082455a0c4bb"></a><!-- doxytag: member="vx_tutorial_target_kernel.c::vxTutorialAddTargetKernelPhaseRgb" ref="aa8d4aa689401f9c9c575082455a0c4bb" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void vxTutorialAddTargetKernelPhaseRgb </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add target kernel to TIOVX framework. </p>

<p><ul>
<li>Get CPU ID of the running CPU</li>
</ul>
<p>Add kernel to target framework only if it is supported on this target </p>
<div class="fragment"><pre class="fragment">     */
    self_cpu = tivxGetSelfCpuId();
</pre></div><ul>
<li>Find target name based on currently running CPU</li>
</ul>
<div class="fragment"><pre class="fragment">         */
        <span class="keywordflow">if</span> (self_cpu == TIVX_CPU_ID_DSP1)
        {
            strncpy(target_name, TIVX_TARGET_DSP1,
                TIVX_TARGET_MAX_NAME);
        }
        <span class="keywordflow">else</span>
        {
            strncpy(target_name, TIVX_TARGET_DSP2,
                TIVX_TARGET_MAX_NAME);
        }
</pre></div><ul>
<li>Register target kernel to TIOVX framework</li>
</ul>
<p>"TIVX_TUTORIAL_KERNEL_PHASE_RGB" is static kernel ID. See also <a class="el" href="vx__tutorial__kernels_8h.html">vx_tutorial_kernels.h</a></p>
<p>This MUST match the kernel ID specified when registering the same kernel name on the HOST side.</p>
<p>The registered target kernel handle is stored in a global variable. This is used during <a class="el" href="phase__rgb__target__kernel_8c.html#a19db36fd62a30ed433d818de092094ee" title="Remove target kernel from TIOVX framework.">vxTutorialRemoveTargetKernelPhaseRgb()</a></p>
<div class="fragment"><pre class="fragment">         */
        <a class="code" href="phase__rgb__target__kernel_8c.html#af39e389b0e30c41e703a7100ad025fbe" title="Target kernel handle [static global].">phase_rgb_target_kernel</a> = tivxAddTargetKernel(
                    <a class="code" href="vx__tutorial__kernels_8h.html#ad313f6307d27fea48432e16f1577d7bea81087035def5daa8186e02bc1f41979e" title="Converts Phase output to RGB image.">TIVX_TUTORIAL_KERNEL_PHASE_RGB</a>,
                    target_name,
                    <a class="code" href="phase__rgb__target__kernel_8c.html#aa7f2b3c5cb1853a9e491483616a93fe8" title="Target kernel run function.">vxTutotrialPhaseRgb</a>,
                    <a class="code" href="phase__rgb__target__kernel_8c.html#ab934a0610fc7f8ddaac5e4956694965f" title="Target kernel create function.">vxTutotrialPhaseRgbCreate</a>,
                    <a class="code" href="phase__rgb__target__kernel_8c.html#ad4beb7eefc9e7e11cb3a29b7a0f827bf" title="Target kernel delete function.">vxTutotrialPhaseRgbDelete</a>,
                    <a class="code" href="phase__rgb__target__kernel_8c.html#a5920f42e3995c3ef87e71d0f30db904e" title="Target kernel control function.">vxTutotrialPhaseRgbControl</a>,
                    NULL);
</pre></div> </p>

<p>Definition at line <a class="el" href="phase__rgb__target__kernel_8c_source.html#l00266">266</a> of file <a class="el" href="phase__rgb__target__kernel_8c_source.html">phase_rgb_target_kernel.c</a>.</p>

</div>
</div>
<a class="anchor" id="a19db36fd62a30ed433d818de092094ee"></a><!-- doxytag: member="vx_tutorial_target_kernel.c::vxTutorialRemoveTargetKernelPhaseRgb" ref="a19db36fd62a30ed433d818de092094ee" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void vxTutorialRemoveTargetKernelPhaseRgb </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove target kernel from TIOVX framework. </p>

<p><ul>
<li>UnRegister target kernel from TIOVX framework</li>
</ul>
<p>The target kernel handle used is the one returned during tivxAddTargetKernel()</p>
<div class="fragment"><pre class="fragment">     */
    status = tivxRemoveTargetKernel(<a class="code" href="phase__rgb__target__kernel_8c.html#af39e389b0e30c41e703a7100ad025fbe" title="Target kernel handle [static global].">phase_rgb_target_kernel</a>);
</pre></div> </p>

<p>Definition at line <a class="el" href="phase__rgb__target__kernel_8c_source.html#l00329">329</a> of file <a class="el" href="phase__rgb__target__kernel_8c_source.html">phase_rgb_target_kernel.c</a>.</p>

</div>
</div>
<a class="anchor" id="adde4ded9815b3fab321bd2c0e67feb39"></a><!-- doxytag: member="vx_tutorial_target_kernel.c::tivxRegisterTutorialTargetKernels" ref="adde4ded9815b3fab321bd2c0e67feb39" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxRegisterTutorialTargetKernels </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add target kernels for tutorial to C66x DSP target. </p>
<p>This API is called by during target init by the target executable </p>

<p>Definition at line <a class="el" href="vx__tutorial__target__kernel_8c_source.html#l00077">77</a> of file <a class="el" href="vx__tutorial__target__kernel_8c_source.html">vx_tutorial_target_kernel.c</a>.</p>

</div>
</div>
<a class="anchor" id="a284eda97cb09e9867b9e3607d7b4cfff"></a><!-- doxytag: member="vx_tutorial_target_kernel.c::tivxUnRegisterTutorialTargetKernels" ref="a284eda97cb09e9867b9e3607d7b4cfff" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxUnRegisterTutorialTargetKernels </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove target kernels for tutorial from C66x DSP target. </p>
<p>This API is called by during target de-init by the target executable </p>

<p>Definition at line <a class="el" href="vx__tutorial__target__kernel_8c_source.html#l00087">87</a> of file <a class="el" href="vx__tutorial__target__kernel_8c_source.html">vx_tutorial_target_kernel.c</a>.</p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
